﻿$ErrorActionPreference = 'Stop' # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://github.com/aandrew-me/ytDownloader/releases/download/v3.17.1/YTDownloader_Win.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  #file         = $fileLocation

  softwareName  = 'ytdownloader*'
  checksum      = 'f956fe97a070e96ec542c5b8eb5bd6d149030aeeb60964e333bcef4ec336cf26' #sha256
  checksumType  = 'sha256'

  # MSI
  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs
